{
  "schema_version": "1.4.0",
  "id": "GHSA-82hp-4wv7-4pr5",
  "modified": "2022-05-13T01:11:16Z",
  "published": "2022-05-13T01:11:16Z",
  "aliases": [
    "CVE-2010-2807"
  ],
  "details": "FreeType before 2.4.2 uses incorrect integer data types during bounds checking, which allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted font file.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2010-2807"
    },
    {
      "type": "WEB",
      "url": "https://bugs.launchpad.net/ubuntu/maverick/+source/freetype/+bug/617019"
    },
    {
      "type": "WEB",
      "url": "https://savannah.nongnu.org/bugs/?30657"
    },
    {
      "type": "WEB",
      "url": "http://freetype.sourceforge.net/index2.html#release-freetype-2.4.2"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=346f1867fd32dae8f56e5b482d1af98f626804ac"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2010//Nov/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2010//Nov/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=oss-security&m=128111955616772&w=2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/40816"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/40982"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/42314"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/42317"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/projects/freetype/files/freetype2/2.4.2/NEWS/view"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT4435"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT4456"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT4457"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/42285"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-972-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/2018"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/2106"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/3045"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2010/3046"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-681"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2010-08-19T18:00:00Z"
  }
}